<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 30/4/2018
 * Time: 1:30 AM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['token'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominioData = $Valido->retornarDatos($creadoPor);
            $condominio = $condominioData["condominio_id"];
            $PropiedadesVacias=R::find("propiedad","id_condominio=? AND id_propietario=?",array($condominio,''));
            if ($PropiedadesVacias){
                include '../comun/mensajeOk.php';
                print_r(json_encode($PropiedadesVacias));
            }else{
                include '../comun/mensajeNoHayDatosParaMostrar.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeFaltanCampos.php';
}